﻿@model AEWeb.ViewModels.Dashboard.DashboardViewModel
@using Microsoft.AspNetCore.Mvc.Localization
@addTagHelper *, AEWeb
@inject IViewLocalizer Localizer
@{
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
    ViewBag.Title = "Dashboard";
    Layout = "_DashboardLayout";
}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>@Localizer["PageTitle"]</h2>
        <small>@Localizer["PageDescription"]</small>
    </div>
    <div class="col-lg-2">

    </div>
</div>

<div class="wrapper wrapper-content">
    <div class="row">
        <div class="col-md-2 d-none d-md-block">
            <div id="trash" style="padding: 15px; margin-bottom: 15px;" class="text-center">
                <div>
                    <ion-icon name="trash" style="font-size: 200%"></ion-icon>
                </div>
                <div>
                    <span>Drop here to remove!</span>
                </div>
            </div>
        </div>
        <div class="col-md-2 d-none d-md-block">
            <div class="newWidget grid-stack-item">
                <div class="card-body grid-stack-item-content">
                    <h4>Tax to GPD ratio</h4>
                    <div>
                        <img src="~/images/dashboard/kpi1.png" height="80" />
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-2 d-none d-md-block">
            <div class="newWidget grid-stack-item">
                <div class="card-body grid-stack-item-content">
                    <h4>Revenue Collection</h4>
                    <div>
                        <img src="~/images/dashboard/kpi2.png" height="80" />
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12 col-md-12">
            <div class="grid-stack" data-gs-animate="yes">
                <div class="grid-stack-item" data-gs-x="1" data-gs-y="1" data-gs-width="3" data-gs-height="1">
                    <div class="grid-stack-item-content">
                        <vc:kpi-value-target kpi-key="KpiTaxGdpRatio"></vc:kpi-value-target>
                    </div>
                </div>
                <div class="grid-stack-item" data-gs-x="10" data-gs-y="1" data-gs-width="2" data-gs-height="1">
                    <div class="grid-stack-item-content">11</div>
                </div>
            </div>
        </div>
    </div>
</div>
<div>
    <a href="#" data-toggle="modal" data-target="#id4"><i class="fa fa-info-circle"></i></a>

</div>

<!-- Modal -->
<div class="modal fade" id="id4" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="staticBackdropLabel">Modal title</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                ...
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-success" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    var grid = GridStack.init({
        alwaysShowResizeHandle: /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(
            navigator.userAgent
        ),
        resizable: {
            handles: 'e, se, s, sw, w'
        },
        cellHeight: 180,
        removable: '#trash',
        removeTimeout: 100,
        acceptWidgets: '.newWidget'
    });

    grid.on('added removed change', function (e, items) {
        var str = '';
        items.forEach(function (item) { str += ' (x,y)=' + item.x + ',' + item.y; });
        console.log(e.type + ' ' + items.length + ' items:' + str);
    });

    // TODO: switch jquery-ui out
    $('.newWidget').draggable({
        revert: 'invalid',
        scroll: false,
        appendTo: 'body',
        helper: 'clone'
    });

</script>
